FileMessageAdapter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.file.FileMessageAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file
Class FileMessageAdapter

    java.lang.Object
      org.mule.transport.AbstractMessageAdapter
          org.mule.transport.file.FileMessageAdapter

All Implemented Interfaces:
  Serializable, ThreadSafeAccess, MessageAdapter

Direct Known Subclasses:
  FileContentsMessageAdapter

    public class FileMessageAdapter

extends AbstractMessageAdapter

`FileMessageAdapter` provides a wrapper for a file reference. Users can obtain the contents of the message through the payload property and can get the filename and directory in the properties using FileConnector.PROPERTY_FILENAME and FileConnector.PROPERTY_DIRECTORY.
This message adaptor supports both InputStream and File payload types.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.mule.api.ThreadSafeAccess
`ThreadSafeAccess.AccessControl`

Field Summary
`protected File` | `file`
`protected InputStream` | `fileInputStream`

Fields inherited from class org.mule.transport.AbstractMessageAdapter
`attachments, exceptionPayload, id, logger, properties`

Fields inherited from interface org.mule.api.ThreadSafeAccess
`READ, WRITE`

Constructor Summary
`protected` | `FileMessageAdapter(FileMessageAdapter template)`
`` | `FileMessageAdapter(Object message)`

Method Summary
`Object` | `getPayload()`
`String` | `getUniqueId()` gets the unique identifier for the message.
`ThreadSafeAccess` | `newThreadCopy()`
`protected void` | `setFileMessage(File message)`
`protected void` | `setStreamMessage(org.mule.transport.file.ReceiverFileInputStream message)`

Methods inherited from class org.mule.transport.AbstractMessageAdapter
`addAttachment, addInboundProperties, addProperties, addProperties, assertAccess, clearProperties, getAttachment, getAttachmentNames, getBooleanProperty, getCorrelationGroupSize, getCorrelationId, getCorrelationSequence, getDoubleProperty, getEncoding, getExceptionPayload, getIntProperty, getLongProperty, getProperty, getProperty, getProperty, getPropertyNames, getPropertyNames, getReplyTo, getStringProperty, isDisabled, newException, release, removeAttachment, removeProperty, resetAccessControl, setBooleanProperty, setCorrelationGroupSize, setCorrelationId, setCorrelationSequence, setDoubleProperty, setEncoding, setExceptionPayload, setIntProperty, setLongProperty, setProperty, setProperty, setReplyTo, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file

    protected File file

### fileInputStream

    protected InputStream fileInputStream

Constructor Detail

### FileMessageAdapter

    public FileMessageAdapter(Object message)
                       throws MessagingException

Throws:
  `MessagingException`

### FileMessageAdapter

    protected FileMessageAdapter(FileMessageAdapter template)

Method Detail

### getPayload

    public Object getPayload()

  Returns:
    the current message

### setFileMessage

    protected void setFileMessage(File message)
                           throws MessagingException

  Throws:
    `MessagingException`

### setStreamMessage

    protected void setStreamMessage(org.mule.transport.file.ReceiverFileInputStream message)
                             throws MessagingException

  Throws:
    `MessagingException`

### getUniqueId

    public String getUniqueId()

  Description copied from class: `AbstractMessageAdapter`
  gets the unique identifier for the message. It's up to the implementation to ensure a unique id

  Specified by:
    `getUniqueId` in interface `MessageAdapter`
  Overrides:
    `getUniqueId` in class `AbstractMessageAdapter`
  Returns:
    a unique message id. The Id should never be null. If the underlying transport does not have the notion of a message Id, one shuold be generated. The generated Id should be a UUID.

### newThreadCopy

    public ThreadSafeAccess newThreadCopy()

  Description copied from class: `AbstractMessageAdapter`

  Specified by:
    `newThreadCopy` in interface `ThreadSafeAccess`
  Overrides:
    `newThreadCopy` in class `AbstractMessageAdapter`
  Returns:
    A new instance of the implementing class, unbound to any thread and mutable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.